STRUCT DRM_MODE_SET(9)

NAME
struct_drm_mode_set - new values for a CRTC config change

SYNOPSIS

struct drm_mode_set {
  struct drm_framebuffer * fb;
  struct drm_crtc * crtc;
  struct drm_display_mode * mode;
  uint32_t x;
  uint32_t y;
  struct drm_connector ** connectors;
  size_t num_connectors;
};

MEMBERS

fb
    framebuffer to use for new config

crtc
    CRTC whose configuration we're about to change

mode
    mode timings to use

x
    position of this CRTC relative to fb

y
    position of this CRTC relative to fb

connectors
    array of connectors to drive with this CRTC if possible

num_connectors
    size of connectors array

DESCRIPTION

Represents a single crtc the connectors that it drives with what mode and from which framebuffer it scans out from.

This is used to set modes.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT